Package picard.analysis

# Class CollectQualityYieldMetricsSNVQ

java.lang.Object
picard.cmdline.CommandLineProgram
picard.analysis.SinglePassSamProgram
picard.analysis.CollectQualityYieldMetricsSNVQ

@DocumentedFeature public class CollectQualityYieldMetricsSNVQ extends SinglePassSamProgram
Command line program to calculate SNV quality yield metrics for read files

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CollectQualityYieldMetricsSNVQ.QualityYieldMetrics`
A set of metrics used to describe the general quality of a BAM file
`class`
`CollectQualityYieldMetricsSNVQ.QualityYieldMetricsCollector`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`ALTERNATE_QUALITY_ATTRIBUTE`
`boolean`
`INCLUDE_BQ_HISTOGRAM`
`boolean`
`INCLUDE_SECONDARY_ALIGNMENTS`
`boolean`
`INCLUDE_SUPPLEMENTAL_ALIGNMENTS`
`htsjdk.samtools.util.Histogram<Integer>`
`qualityHistogram`
`static final String`
`SNVQ_BASE_ORDER`
`htsjdk.samtools.util.Histogram<Integer>`
`snvqHistogram`

### Fields inherited from class picard.analysis.SinglePassSamProgram

`ASSUME_SORTED, INPUT, output, OUTPUT, STOP_AFTER`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectQualityYieldMetricsSNVQ()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`acceptRead(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)`
Should be implemented by subclasses to accept SAMRecords one at a time.
`protected void`
`finish()`
Should be implemented by subclasses to do one-time finalization work.
`protected void`
`setup(htsjdk.samtools.SAMFileHeader header, File samFile)`
Should be implemented by subclasses to do one-time initialization work.
`protected boolean`
`usesNoRefReads()`
Ensure that we get all reads regardless of alignment status.

### Methods inherited from class picard.analysis.SinglePassSamProgram

`doWork, getOutputArgumentCollection, makeItSo, setReferenceSequence`

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SNVQ_BASE_ORDER

public static final String SNVQ_BASE_ORDER

See Also:
  - Constant Field Values

### qualityHistogram

public htsjdk.samtools.util.Histogram<Integer> qualityHistogram

### snvqHistogram

public htsjdk.samtools.util.Histogram<Integer> snvqHistogram

### ALTERNATE_QUALITY_ATTRIBUTE

@Argument(shortName="AQA", doc="Use an alternative tag instead of base quality (QUAL) scores ", optional=true) public String ALTERNATE_QUALITY_ATTRIBUTE

### INCLUDE_SECONDARY_ALIGNMENTS

@Argument(doc="If true, include bases from secondary alignments in metrics. Setting to true may cause double-counting of bases if there are secondary alignments in the input file.") public boolean INCLUDE_SECONDARY_ALIGNMENTS

### INCLUDE_SUPPLEMENTAL_ALIGNMENTS

@Argument(doc="If true, include bases from supplemental alignments in metrics. Setting to true may cause double-counting of bases if there are supplemental alignments in the input file.") public boolean INCLUDE_SUPPLEMENTAL_ALIGNMENTS

### INCLUDE_BQ_HISTOGRAM

@Argument(doc="Determines whether to include the base quality histogram in the metrics file.") public boolean INCLUDE_BQ_HISTOGRAM

## Constructor Details

### CollectQualityYieldMetricsSNVQ

public CollectQualityYieldMetricsSNVQ()

## Method Details

### usesNoRefReads

protected boolean usesNoRefReads()
Ensure that we get all reads regardless of alignment status.

Overrides:
  `usesNoRefReads` in class `SinglePassSamProgram`

### setup

protected void setup(htsjdk.samtools.SAMFileHeader header, File samFile)
Description copied from class: `SinglePassSamProgram`
Should be implemented by subclasses to do one-time initialization work.

Specified by:
  `setup` in class `SinglePassSamProgram`

### acceptRead

protected void acceptRead(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)
Description copied from class: `SinglePassSamProgram`
Should be implemented by subclasses to accept SAMRecords one at a time. If the read has a reference sequence and a reference sequence file was supplied to the program it will be passed as 'ref'. Otherwise 'ref' may be null.

Specified by:
  `acceptRead` in class `SinglePassSamProgram`

### finish

protected void finish()
Description copied from class: `SinglePassSamProgram`
Should be implemented by subclasses to do one-time finalization work.

Specified by:
  `finish` in class `SinglePassSamProgram`